Bug 92156 - [NEW PORT] sysutils/phantom: Phantomblock generator (converts existing files to sparse files)
Summary: [NEW PORT] sysutils/phantom: Phantomblock generator (converts existing files ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-22 15:30 UTC by Jeffrey H. Johnson
Modified: 2006-01-25 17:04 UTC (History)
1 user (show)

See Also:


Attachments
phantom-1.2.shar (3.00 KB, text/plain)
2006-01-22 15:30 UTC, Jeffrey H. Johnson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeffrey H. Johnson 2006-01-22 15:30:04 UTC
This tool removes blocks of 0x00 from files by replacing them with 
phantomblocks. That way, a file uses less diskspace while its contents 
hasn't changed at all!

BEWARE: after copying these files with tar, cp, cpio or any other tool, 
the phantomblocks have been replaced with 0x00-blocks again!

EXAMPLE: 

find / -type f -print | xargs -n 1 phantom -r -i

This would go trough the whole harddisk, scan all files and generate 
0x00-blocks where necessary.

WWW: http://www.vanheusden.com/Linux/phantom.php

Generated with FreeBSD Port Tools 0.63
Comment 1 Renato Botelho freebsd_committer 2006-01-25 12:24:34 UTC
Please rename patch-aa to a name that reflect hich file is patched?
In this case "patch-Makefile".

Another point, convert this patch to a "diff -u" format patch.

Please, do this changes and re-send the shar file

Thanks
-- 
Renato Botelho <garga @ FreeBSD.org>
               <freebsd @ galle.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc
Comment 2 Renato Botelho freebsd_committer 2006-01-25 12:25:47 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 3 Jeffrey H. Johnson 2006-01-25 16:35:05 UTC
>Submitter-Id:	current-users
>Originator:	Jeffrey H. Johnson
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/92156: [NEW PORT] sysutils/phantom: Phantomblock generator (converts existing files to sparse files)
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		change-request
>Release:	FreeBSD 6.0-STABLE i386
>Environment:
System: FreeBSD offworld.cqasys.com 6.0-STABLE FreeBSD 6.0-STABLE #21: Wed Jan 18 22:35:45 EST 2006
>Description:
This should now be correct. 

Generated with FreeBSD Port Tools 0.63
>How-To-Repeat:
>Fix:

--- phantom-1.2.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	phantom
#	phantom/files
#	phantom/files/patch-Makefile
#	phantom/Makefile
#	phantom/distinfo
#	phantom/pkg-descr
#
echo c - phantom
mkdir -p phantom > /dev/null 2>&1
echo c - phantom/files
mkdir -p phantom/files > /dev/null 2>&1
echo x - phantom/files/patch-Makefile
sed 's/^X//' >phantom/files/patch-Makefile << 'END-of-phantom/files/patch-Makefile'
X--- Makefile.orig	Fri Jul  8 05:30:27 2005
X+++ Makefile	Wed Jan 25 11:27:25 2006
X@@ -1,8 +1,8 @@
X VERSION=1.2
X 
X DEBUG=#-g
X-LDFLAGS=$(DEBUG)
X-CFLAGS=-O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG)
X+LDFLAGS+=$(DEBUG)
X+CFLAGS+=-DVERSION=\"$(VERSION)\" -DMADV_SEQUENTIAL $(DEBUG)
X 
X OBJS=phantom.o
X 
X@@ -12,7 +12,7 @@
X 	$(CC) -Wall -W $(OBJS) $(LDFLAGS) -o phantom
X 
X install: phantom
X-	cp phantom $(DESTDIR)/usr/bin
X+	${INSTALL} -m 755 phantom ${PREFIX}/bin
X 
X clean:
X 	rm -f $(OBJS) core phantom
END-of-phantom/files/patch-Makefile
echo x - phantom/Makefile
sed 's/^X//' >phantom/Makefile << 'END-of-phantom/Makefile'
X# New ports collection makefile for:    phantom
X# Date created:         22 January 2006
X# Whom:                 Jeffrey H. Johnson <CPE1704TKS@bellsouth.net>
X#
X# $FreeBSD: ports/sysutils/phantom/Makefile,v 1.00 2006/01/22 07:44:41 trn Exp $
X#
X
XPORTNAME=	phantom
XPORTVERSION=	1.2
XCATEGORIES=	sysutils
XMASTER_SITES=	http://www.vanheusden.com/Linux/
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	CPE1704TKS@bellsouth.net
XCOMMENT=	Phantomblock generator (converts existing files to sparse files)
X
XALL_TARGET=	all
X
XPLIST_FILES=	bin/phantom
X
X.include <bsd.port.mk>
END-of-phantom/Makefile
echo x - phantom/distinfo
sed 's/^X//' >phantom/distinfo << 'END-of-phantom/distinfo'
XSIZE (phantom-1.2.tgz) = 4425
XMD5 (phantom-1.2.tgz) = d790abb0caed787e3c8082340e6e549e
XSHA256 (phantom-1.2.tgz) = 9ce7d0d7e6561474a0b4d70f9ae0fb4010ef9b4f012c9018bf9fdca1704ac6c2
END-of-phantom/distinfo
echo x - phantom/pkg-descr
sed 's/^X//' >phantom/pkg-descr << 'END-of-phantom/pkg-descr'
XThis tool removes blocks of 0x00 from files by replacing them with 
Xphantomblocks. That way, a file uses less diskspace while its contents 
Xhasn't changed at all!
X
XBEWARE: after copying these files with tar, cp, cpio or any other tool, 
Xthe phantomblocks have been replaced with 0x00-blocks again!
X
XEXAMPLE: 
X
Xfind / -type f -print | xargs -n 1 phantom -r -i
X
XThis would go trough the whole harddisk, scan all files and generate 
X0x00-blocks where necessary.
X
XWWW: http://www.vanheusden.com/Linux/phantom.php
END-of-phantom/pkg-descr
exit
--- phantom-1.2.shar ends here ---
Comment 4 Renato Botelho freebsd_committer 2006-01-25 17:04:45 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!